%define	version	6300d
%define	release	1mdk

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		anthy
Summary:	A Japanese words input system
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://www.sourceforge.jp/projects/anthy/
Source0: http://sourceforge.jp/projects/anthy/files/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:			%{libname} = %{version}
BuildRequires:		emacs-bin

%description
Anthy is a free and secure Japanese input system.

%package -n	%{libname}
Summary:	Anthy library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Anthy library.

%package -n	%{libname}-devel
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:		%{libname} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Anthy development package: static libraries, header files, and the like.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog DIARY NEWS README doc
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_datadir}/anthy
%{_datadir}/emacs/site-lisp/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*
# (tv) fix uim dloading libanthy.so
%{_libdir}/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Tue Mar 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6300d-1mdk
- new release

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 6300-2mdk
- reupload, src.rpm got lost
- remove requires-on-release (rpmlint)

* Mon Feb 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6300-1mdk
- new release
- spec clean up

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6131-1mdk
- new release (fix conversion quite a lot common japanese words)

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6125-1mdk
- new release

* Tue Dec 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6024-1mdk
- new release
- clean up spec

* Thu Nov 25 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5924-1mdk
- new release

* Mon Nov 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5900-1mdk
- new release

* Wed Sep 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5714-1mdk
- new release

* Sat Sep 04 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5704-1mdk
- new release

* Fri Aug 27 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5626-1mdk
- new release

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5605-1mdk
- new release
- reenable libtoolize

* Sat Jul 31 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5531-1mdk
- new release

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5524-2mdk
- rpmbuildupdate aware

* Sat Jul 24 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5524-1mdk
- new release

* Sat Jul 24 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5523-1mdk
- new release

* Tue Jul 20 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5516-1mdk
- new release

* Mon Jun 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5414-1mdk
- new release

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5406-1mdk
- new release

* Thu May 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5326-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5100-1mdk
- new release

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-5mdk
- move .so link into libanthy0 since uim load them through dlopen

* Wed Feb 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-4mdk
- fix requires

* Wed Feb 18 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 4925-3mdk
- fix requires

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-1mdk
- new release
- fix build

* Sat Jan 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4700-2mdk
- fix buildrequires
- cosmetics

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4700-1mdk
- from UTUMI Hirosi <utuhiro78@yahoo.co.jp>: initial upload

* Fri Nov 14 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 4700-1
- Version updated.

